using System;

namespace Anyanka{
    class Program{

        static void Main(string[] args){

            // Console.WriteLine("Hello World!");
            // test_basic();
            test_cross_platforms();

        }

        public static void test_basic(){

            AnyankaKeys anyanka = new AnyankaKeys("password");

            foreach(string example in new List<string>{
                "Hello, World!",
                "This is a test.",
                "AnyankaKeys is working!", 
                "¡Ésto va con ñ! 🚀"
            }){

                string encrypted = anyanka.encrypt(example);
                string decrypted = anyanka.decrypt(encrypted);

                Console.WriteLine($"Example: {example}");
                Console.WriteLine($"Encrypted: {encrypted}");
                Console.WriteLine($"Decrypted: {decrypted}");
                Console.WriteLine();

            }
            
        }

        public static void test_cross_platforms(){

            AnyankaKeys anyanka = new AnyankaKeys();

            foreach(string encrypted in new List<string>{
                "Ddsz2vfFpj4eVh5DLFu", 
                "nsxC3wVPqG6gm49Vnws9hB", 
                "2V1HPCz7ufLEHDUib4uTbksdoZE3XxFv3", 
                "CU4jGC9QSJ5HfUdxEqed5VEQdkYPYF5gg"
            })
                Console.WriteLine($"[{encrypted}, {anyanka.decrypt(encrypted)}]");
            
        }

    }
}